[**@rxap/data-source v19.1.1-dev.0**](../README.md)

***

[@rxap/data-source](../globals.md) / StaticDataSourceData

# Type Alias: StaticDataSourceData\<Data\>

> **StaticDataSourceData**\<`Data`\>: `Data` \| `Promise`\<`Data`\> \| `Observable`\<`Data`\> \| () => `Data`

Defined in: [packages/angular/data-source/src/lib/static.data-source.ts:31](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/static.data-source.ts#L31)

## Type Parameters

• **Data** = `any`
